# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class FeedURLFactory

    java.lang.Object
      com.google.api.gbase.client.FeedURLFactory

    public class FeedURLFactory

extends java.lang.Object

Provides feed URLs that can be used with a GoogleBase server.

Field Summary
`static java.lang.String` `DEFAULT_BASE_URL` URL of the server to connect to by default.

Constructor Summary
`FeedURLFactory(java.lang.String url)` Creates an URL factory targeted to a server.

Method Summary
`java.net.URL` `getAttributesFeedURL()` Gets an URL for the list of the most used attributes and their most used values.
`java.net.URL` `getBaseURL()` Returns the URL used as a base for the generated URLs.
`static FeedURLFactory` `getDefault()` Gets the default instance of this factory, targeted to "http://www.google.com/base/".
`java.net.URL` `getItemsBatchFeedURL()` Gets an URL for posting batch operations to the customer feed.
`java.net.URL` `getItemsEntryURL(java.lang.String entryId)` Gets an URL for accessing an item.
`java.net.URL` `getItemsFeedURL()` Gets an URL for accessing a customer feed, which allows users to query, insert, update and delete their own items.
`java.net.URL` `getItemTypesEntryURL(java.lang.String locale, java.lang.String itemType)` Gets an URL for getting the item types Google suggest using for a given itemtype for a given locale.
`java.net.URL` `getItemTypesFeedURL(java.lang.String locale)` Gets an URL for querying the item types Google suggest using for a given locale.
`java.net.URL` `getLocalesFeedURL()` Gets the URL of the list of all the supported locales.
`java.net.URL` `getSnippetsBatchFeedURL()` Gets an URL for accessing a public batch feed, which allows users to get a series of entries.
`java.net.URL` `getSnippetsEntryURL(java.lang.String id)` Gets an URL for accessing a snippet.
`java.net.URL` `getSnippetsFeedURL()` Gets an URL for accessing a public feed, which allows users to perform queries.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BASE_URL

    public static final java.lang.String DEFAULT_BASE_URL

  URL of the server to connect to by default. Currently "http://www.google.com/base/".

  See Also:
    Constant Field Values

Constructor Detail

### FeedURLFactory

    public FeedURLFactory(java.lang.String url)
                   throws java.net.MalformedURLException

  Creates an URL factory targeted to a server. As long as you don't need to connect to a nonstandard URL, different from "http://www.google.com/base/", you should consider calling `getDefault()` instead.

  Parameters:
    `url` - an URL used as a base for the generated URLs
  Throws:
    `java.net.MalformedURLException`

Method Detail

### getDefault

    public static FeedURLFactory getDefault()

  Gets the default instance of this factory, targeted to "http://www.google.com/base/".

  Returns:
    the default FeedURLFactory

### getBaseURL

    public java.net.URL getBaseURL()

  Returns the URL used as a base for the generated URLs.

### getSnippetsFeedURL

    public java.net.URL getSnippetsFeedURL()

  Gets an URL for accessing a public feed, which allows users to perform queries. The formatting of the textual attributes returned by this feed is not guaranteed. This is an unauthenticated read-only feed.

  Returns:
    an URL to be used when creating a `GoogleBaseQuery`

### getSnippetsBatchFeedURL

    public java.net.URL getSnippetsBatchFeedURL()

  Gets an URL for accessing a public batch feed, which allows users to get a series of entries. A query on this batch feed returns the same result as a series of calls to `getSnippetsFeedURL()` in one HTTP request.

  Returns:
    an URL to post a batch query to.

### getSnippetsEntryURL

    public java.net.URL getSnippetsEntryURL(java.lang.String id)
                                     throws java.net.MalformedURLException

  Gets an URL for accessing a snippet.

  Parameters:
    `id` - the id of the snippet
  Returns:
    an URL to be used when reading a snippet of an item with a `GoogleBaseService`
  Throws:
    `java.net.MalformedURLException`
  See Also:
    `getSnippetsFeedURL()`

### getItemsFeedURL

    public java.net.URL getItemsFeedURL()

  Gets an URL for accessing a customer feed, which allows users to query, insert, update and delete their own items. The textual attributes of the items are returned in their original format. This is a read/write feed that is only accessible to authenticated users.

  Returns:
    an URL to be used for creating a `GoogleBaseQuery`

### getItemsEntryURL

    public java.net.URL getItemsEntryURL(java.lang.String entryId)
                                  throws java.net.MalformedURLException

  Gets an URL for accessing an item.

  Parameters:
    `entryId` -
  Returns:
    an URL to be used when reading an item or when performing an update or delete operation with a `GoogleBaseService`
  Throws:
    `java.net.MalformedURLException`
  See Also:
    `getItemsFeedURL()`

### getItemsBatchFeedURL

    public java.net.URL getItemsBatchFeedURL()

  Gets an URL for posting batch operations to the customer feed.

  Returns:
    an URL to be passed to `com.google.gdata.client.Service#batch(java.net.URL, com.google.gdata.data.BaseFeed)`

### getLocalesFeedURL

    public java.net.URL getLocalesFeedURL()

  Gets the URL of the list of all the supported locales. The feed is read-only and unauthenticated.

  Returns:
    an URL of a feed containing the supported locales

### getItemTypesFeedURL

    public java.net.URL getItemTypesFeedURL(java.lang.String locale)
                                     throws java.net.MalformedURLException

  Gets an URL for querying the item types Google suggest using for a given locale. The feed is read-only and unauthenticated.

  Parameters:
    `locale` - a locale, for example "de_DE", "en_GB", "en_US"
  Returns:
    an URL of a feed containing item types
  Throws:
    `java.net.MalformedURLException`

### getItemTypesEntryURL

    public java.net.URL getItemTypesEntryURL(java.lang.String locale,
                                             java.lang.String itemType)
                                      throws java.net.MalformedURLException

  Gets an URL for getting the item types Google suggest using for a given itemtype for a given locale. The feed is read-only and unauthenticated.

  Parameters:
    `locale` - a locale, for example "de_DE", "en_GB", "en_US"
    `itemType` - the item type to be analysed
  Returns:
    an URL of a feed containing item types
  Throws:
    `java.net.MalformedURLException`

### getAttributesFeedURL

    public java.net.URL getAttributesFeedURL()

  Gets an URL for the list of the most used attributes and their most used values.

  Returns:
    an URL to be used for creating a `GoogleBaseQuery`